--- title: "HTTP requests" slug: "http-requests" updated: 2025-09-17T12:04:26Z published: 2025-09-17T12:04:26Z canonical: "docs.grassfish.com/http-requests" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # HTTP requests The API call that you make is essentially an HTTP request that allows you to either access a resource on the server or to send data to the server. ## HTTP methods The HTTP method is a command that tells the server what to do. You can use the following HTTP methods in your requests: | HTTP method | Description | | --- | --- | | GET | Retrieve a single item or a list of items. | | POST | Create an item. | | PUT | Update an item. | | DELETE | Delete an item. | ## Header parameters Your requests must contain header parameters. Specifying these parameters allows you to transmit additional information for [authorization](https://docs.grassfish.com/retail-media-api/apidocs/authorization). ## Path parameters Your requests also contain path parameters. Path parameters are variable parts of a URL that point to a specific resource. A URL can contain multiple path parameters, such as an API version or the unique ID of an item. ## URL The URL consists of at least a base API endpoint, followed by the API version and the plural name of the resource. **Example**: | HTTP request | `GET /v{version}/Dooh/Bookings` | | --- | --- | | URL | `https://dooh.grassfish.tv/adbookingapi/v1.1/Dooh/Bookings` | Depending on the request, more parameters can be added to the URL, such as IDs and names of resources and child resources. **Example**: | HTTP request | `GET /v{version}/Dooh/Bookings/{bookingId}/Order` | | --- | --- | | URL | `https://dooh.grassfish.tv/adbookingapi/v1.1/Dooh/Bookings/3787/Order` | An API call or API request is a message to a server that requests an API to provide a service or information. HTTP stands for Hypertext Transfer Protocol. This is a standardized protocol for transmitting data between clients and servers on the internet. The client sends an HTTP request to the server using a standard set of methods such as GET to specify the action it wants to perform on a specific resource.